AnsweredAssumed Answered

Ubuntu 14.04 - Failed to find shared library for backend mysql (Metrics & hoststats)

Question asked by ac4 on Jul 21, 2014
Latest reply on Nov 23, 2015 by petr.svarc
Good morning,

we installed a new cluster on 8 servers. Each server have Ubuntu 14.04 as OS.

Every server give us this error:
ERROR: Failed to find shared library for backend mysql with error count since last shown error: 79

We installed these debian packages:
 - libmysqlclient18
 - mysql-server
 - libmysqlclient-dev

I tried to run:
ldconfig

and restart the servers, but nothing, always the same error.

Our ldconfig output:

        # ldconfig -v
    /sbin/ldconfig.real: Path `/lib/x86_64-linux-gnu' given more than once
    /sbin/ldconfig.real: Path `/usr/lib/x86_64-linux-gnu' given more than once
    /usr/local/lib:
    /lib/x86_64-linux-gnu:
            libparted.so.0 -> libparted.so.0.0.1
            libcrypto.so.1.0.0 -> libcrypto.so.1.0.0
            libsepol.so.1 -> libsepol.so.1
            libgcc_s.so.1 -> libgcc_s.so.1
            liblzo2.so.2 -> liblzo2.so.2.0.0
            libpcprofile.so -> libpcprofile.so
            libfuse.so.2 -> libfuse.so.2.9.2
            libSegFault.so -> libSegFault.so
            libblkid.so.1 -> libblkid.so.1.1.0
            libe2p.so.2 -> libe2p.so.2.3
            libthread_db.so.1 -> libthread_db-1.0.so
            libntfs-3g.so.841 -> libntfs-3g.so.841.0.0
            libdevmapper.so.1.02.1 -> libdevmapper.so.1.02.1
            libdl.so.2 -> libdl-2.19.so
            libnewt.so.0.52 -> libnewt.so.0.52.15
            libpam.so.0 -> libpam.so.0.83.1
            libulockmgr.so.1 -> libulockmgr.so.1.0.1
            libkeyutils.so.1 -> libkeyutils.so.1.4
            libnfsidmap.so.0 -> libnfsidmap.so.0.3.0
            libnss_nisplus.so.2 -> libnss_nisplus-2.19.so
            librt.so.1 -> librt-2.19.so
            libpci.so.3 -> libpci.so.3.2.1
            libnl-3.so.200 -> libnl-3.so.200.16.1
            libnss_files.so.2 -> libnss_files-2.19.so
            libpamc.so.0 -> libpamc.so.0.82.1
            libselinux.so.1 -> libselinux.so.1
            libcgmanager.so.0 -> libcgmanager.so.0.0.0
            libgcrypt.so.11 -> libgcrypt.so.11.8.2
            libc.so.6 -> libc-2.19.so
            libjson-c.so.2 -> libjson.so.0
            libbz2.so.1.0 -> libbz2.so.1.0.4
            libutil.so.1 -> libutil-2.19.so
            libglib-2.0.so.0 -> libglib-2.0.so.0.4000.0
            libsystemd-login.so.0 -> libsystemd-login.so.0.7.1
            libmount.so.1 -> libmount.so.1.1.0
            libz.so.1 -> libz.so.1.2.8
            libssl.so.1.0.0 -> libssl.so.1.0.0
            libiw.so.30 -> libiw.so.30
            libpcsclite.so.1 -> libpcsclite.so.1.0.0
            libreadline.so.5 -> libreadline.so.5.2
            libwrap.so.0 -> libwrap.so.0.7.6
            libnss_compat.so.2 -> libnss_compat-2.19.so
            libnss_hesiod.so.2 -> libnss_hesiod-2.19.so
            libresolv.so.2 -> libresolv-2.19.so
            libdbus-1.so.3 -> libdbus-1.so.3.7.6
            libbsd.so.0 -> libbsd.so.0.6.0
            libuuid.so.1 -> libuuid.so.1.3.0
            libncursesw.so.5 -> libncursesw.so.5.9
            libpcre.so.3 -> libpcre.so.3.13.1
            libpthread.so.0 -> libpthread-2.19.so
            libprocps.so.3 -> libprocps.so.3.0.0
            libcom_err.so.2 -> libcom_err.so.2.1
            libhistory.so.5 -> libhistory.so.5.2
            liblzma.so.5 -> liblzma.so.5.0.0
            libudev.so.1 -> libudev.so.1.3.5
            libkmod.so.2 -> libkmod.so.2.2.5
    /sbin/ldconfig.real: /lib/x86_64-linux-gnu/ld-2.19.so is the dynamic linker, ignoring
    
            ld-linux-x86-64.so.2 -> ld-2.19.so
            libaio.so.1 -> libaio.so.1.0.1
            libext2fs.so.2 -> libext2fs.so.2.4
            libply-splash-core.so.2 -> libply-splash-core.so.2.1.0
            libsystemd-daemon.so.0 -> libsystemd-daemon.so.0.0.10
            libnih.so.1 -> libnih.so.1.0.0
            libgssglue.so.1 -> libgssglue.so.1.0.0
            libacl.so.1 -> libacl.so.1.1.0
            libexpat.so.1 -> libexpat.so.1.6.0
            libply-boot-client.so.2 -> libply-boot-client.so.2.1.0
            libpam_misc.so.0 -> libpam_misc.so.0.82.0
            libpopt.so.0 -> libpopt.so.0.0.0
            libtinfo.so.5 -> libtinfo.so.5.9
            libnih-dbus.so.1 -> libnih-dbus.so.1.0.0
            libmemusage.so -> libmemusage.so
            libm.so.6 -> libm-2.19.so
            libanl.so.1 -> libanl-2.19.so
            libnss_nis.so.2 -> libnss_nis-2.19.so
            libcap.so.2 -> libcap.so.2.24
            libnl-genl-3.so.200 -> libnl-genl-3.so.200.16.1
            libply-splash-graphics.so.2 -> libply-splash-graphics.so.2.1.0
            libaudit.so.1 -> libaudit.so.1.0.0
            libpng12.so.0 -> libpng12.so.0.50.0
            libdevmapper-event.so.1.02.1 -> libdevmapper-event.so.1.02.1
            libply.so.2 -> libply.so.2.1.0
            libusb-1.0.so.0 -> libusb-1.0.so.0.1.0
            libhistory.so.6 -> libhistory.so.6.3
            libattr.so.1 -> libattr.so.1.1.0
            libBrokenLocale.so.1 -> libBrokenLocale-2.19.so
            libslang.so.2 -> libslang.so.2.2.4
            libcidn.so.1 -> libcidn-2.19.so
            libreadline.so.6 -> libreadline.so.6.3
            libusb-0.1.so.4 -> libusb-0.1.so.4.4.4
            libnsl.so.1 -> libnsl-2.19.so
            libss.so.2 -> libss.so.2.0
            libnss_dns.so.2 -> libnss_dns-2.19.so
            libncurses.so.5 -> libncurses.so.5.9
            libtirpc.so.1 -> libtirpc.so.1.0.10
            libgpg-error.so.0 -> libgpg-error.so.0.10.0
            libcrypt.so.1 -> libcrypt-2.19.so
    /usr/lib/x86_64-linux-gnu:
            librtmp.so.0 -> librtmp.so.0
            libgssapi.so.3 -> libgssapi.so.3.0.0
            libtsan.so.0 -> libtsan.so.0.0.0
            libnetsnmpagent.so.30 -> libnetsnmpagent.so.30.0.2
            libgdbm_compat.so.3 -> libgdbm_compat.so.3.0.0
            libhx509.so.5 -> libhx509.so.5.0.0
            libmenuw.so.5 -> libmenuw.so.5.9
            libnuma.so.1 -> libnuma.so.1
            libgc.so.1 -> libgc.so.1.0.3
            libevent-2.0.so.5 -> libevent-2.0.so.5.1.9
            libsemanage.so.1 -> libsemanage.so.1
            libcloog-isl.so.4 -> libcloog-isl.so.4.0.0
            libsigsegv.so.2 -> libsigsegv.so.2.0.3
            libpython2.7.so.1.0 -> libpython2.7.so.1.0
            libpipeline.so.1 -> libpipeline.so.1.3.0
            libgmp.so.10 -> libgmp.so.10.1.3
            libapt-private.so.0.0 -> libapt-private.so.0.0.0
            libboost_iostreams.so.1.54.0 -> libboost_iostreams.so.1.54.0
            libexpatw.so.1 -> libexpatw.so.1.6.0
            libnetsnmptrapd.so.30 -> libnetsnmptrapd.so.30.0.2
            libstdc++.so.6 -> libstdc++.so.6.0.19
            libquadmath.so.0 -> libquadmath.so.0.0.0
            libapparmor.so.1 -> libapparmor.so.1.1.0
            libpanelw.so.5 -> libpanelw.so.5.9
            libmenu.so.5 -> libmenu.so.5.9
            libk5crypto.so.3 -> libk5crypto.so.3.1
            libitm.so.1 -> libitm.so.1.0.0
            libck-connector.so.0 -> libck-connector.so.0.0.0
            libkrb5.so.3 -> libkrb5.so.3.3
            libroken.so.18 -> libroken.so.18.1.0
            libheimbase.so.1 -> libheimbase.so.1.0.0
            libnfnetlink.so.0 -> libnfnetlink.so.0.2.0
            libidn.so.11 -> libidn.so.11.6.11
            libdb-5.3.so -> libdb-5.3.so
            libept.so.1.aptpkg4.12 -> libept.so.1.aptpkg4.12
            libkrb5.so.26 -> libkrb5.so.26.0.0
            libestr.so.0 -> libestr.so.0.0.0
            libmpc.so.3 -> libmpc.so.3.0.0
            libelf.so.1 -> libelf-0.158.so
            libpcreposix.so.3 -> libpcreposix.so.3.13.1
            libgomp.so.1 -> libgomp.so.1.0.0
            libmpfr.so.4 -> libmpfr.so.4.1.2
            libmysqlclient.so.18 -> libmysqlclient_r.so.18.0.0
            libasprintf.so.0 -> libasprintf.so.0.0.0
            libwind.so.0 -> libwind.so.0.0.0
            libform.so.5 -> libform.so.5.9
            libgmodule-2.0.so.0 -> libgmodule-2.0.so.0.4000.0
            libldap_r-2.4.so.2 -> libldap_r-2.4.so.2.8.3
            libapt-pkg.so.4.12 -> libapt-pkg.so.4.12.0
            libcurl-gnutls.so.4 -> libcurl-gnutls.so.4.3.0
            liblockfile.so.1 -> liblockfile.so.1.0
            libbtrfs.so.0 -> libbtrfs.so.0.1
            libcurl.so.4 -> libcurl.so.4.3.0
            libtasn1.so.6 -> libtasn1.so.6.2.0
            libpanel.so.5 -> libpanel.so.5.9
            libfreetype.so.6 -> libfreetype.so.6.11.1
            libxml2.so.2 -> libxml2.so.2.9.1
            libkrb5support.so.0 -> libkrb5support.so.0.1
            libgssapi_krb5.so.2 -> libgssapi_krb5.so.2.2
            libgck-1.so.0 -> libgck-1.so.0.0.0
            libgobject-2.0.so.0 -> libgobject-2.0.so.0.4000.0
            libatomic.so.1 -> libatomic.so.1.0.0
            libnetsnmpmibs.so.30 -> libnetsnmpmibs.so.30.0.2
            libsnmp.so.30 -> libsnmp.so.30.0.2
            libgpm.so.2 -> libgpm.so.2
            libgcr-base-3.so.1 -> libgcr-base-3.so.1.0.0
            libgccpp.so.1 -> libgccpp.so.1.0.3
            libmpdec.so.2 -> libmpdec.so.2.4.0
            libffi.so.6 -> libffi.so.6.0.1
            libgnutls.so.26 -> libgnutls.so.26.22.6
            libisl.so.10 -> libisl.so.10.2.2
            libp11-kit.so.0 -> libp11-kit.so.0.0.0
            libpcap.so.0.8 -> libpcap.so.1.5.3
            libedit.so.2 -> libedit.so.2.0.47
            libpolkit-gobject-1.so.0 -> libpolkit-gobject-1.so.0.0.0
            libtic.so.5 -> libtic.so.5.9
            libformw.so.5 -> libformw.so.5.9
            libgthread-2.0.so.0 -> libgthread-2.0.so.0.4000.0
            libgnutls-openssl.so.27 -> libgnutls-openssl.so.27.0.0
            libpolkit-agent-1.so.0 -> libpolkit-agent-1.so.0.0.0
            libgdbm.so.3 -> libgdbm.so.3.0.0
            libmagic.so.1 -> libmagic.so.1.0.0
            liblber-2.4.so.2 -> liblber-2.4.so.2.8.3
            libhcrypto.so.4 -> libhcrypto.so.4.1.0
            libustr-1.0.so.1 -> libustr-1.0.so.1.0.4
            libpolkit-backend-1.so.0 -> libpolkit-backend-1.so.0.0.0
            libsigc-2.0.so.0 -> libsigc-2.0.so.0.0.0
            libdrm.so.2 -> libdrm.so.2.4.0
            libasn1.so.8 -> libasn1.so.8.0.0
            libGeoIP.so.1 -> libGeoIP.so.1.6.0
            libopts.so.25 -> libopts.so.25.15.0
            libapt-inst.so.1.5 -> libapt-inst.so.1.5.0
            libasan.so.0 -> libasan.so.0.0.0
            libsasl2.so.2 -> libsasl2.so.2.0.25
            libaccountsservice.so.0 -> libaccountsservice.so.0.0.0
            libdbus-glib-1.so.2 -> libdbus-glib-1.so.2.2.2
            libheimntlm.so.0 -> libheimntlm.so.0.1.0
            libdebconfclient.so.0 -> libdebconfclient.so.0.0.0
            libnetsnmp.so.30 -> libnetsnmp.so.30.0.2
            libcap-ng.so.0 -> libcap-ng.so.0.0.0
            libgio-2.0.so.0 -> libgio-2.0.so.0.4000.0
            libsensors.so.4 -> libsensors.so.4.3.2
            libsqlite3.so.0 -> libsqlite3.so.0.8.6
            libgnutls-extra.so.26 -> libgnutls-extra.so.26.22.6
            libnetsnmphelpers.so.30 -> libnetsnmphelpers.so.30.0.2
    /lib:
            libiptc.so.0 -> libiptc.so.0.0.0
            libhandle.so.1 -> libhandle.so.1.0.3
            libip6tc.so.0 -> libip6tc.so.0.1.0
            libip4tc.so.0 -> libip4tc.so.0.1.0
            libxtables.so.10 -> libxtables.so.10.0.0
    /usr/lib:
            libbfd-2.24-system.so -> libbfd-2.24-system.so
            libbind9.so.90 -> libbind9.so.90.0.9
            libperl.so.5.18 -> libperl.so.5.18.2
            libsoci_core.so.3.1 -> libsoci_core.so.3.1.0
            libcwidget.so.3 -> libcwidget.so.3.0.0
            libisc.so.95 -> libisc.so.95.5.0
            libisccfg.so.90 -> libisccfg.so.90.1.0
            libopcodes-2.24-system.so -> libopcodes-2.24-system.so
            libxapian.so.22 -> libxapian.so.22.6.3
            libgirepository-1.0.so.1 -> libgirepository-1.0.so.1.0.0
            libdns.so.100 -> libdns.so.100.2.2
            libsoci_mysql.so.3.1 -> libsoci_mysql.so.3.1.0
            libisccc.so.90 -> libisccc.so.90.0.6
            liblwres.so.90 -> liblwres.so.90.0.7

Any suggestions?

Thank you in advance

Outcomes